Rysunek Techniczny: Wstaw wierzchołek kosmetyczny

From FreeCAD Documentation
Revision as of 06:06, 22 July 2023 by Kaktus (talk | contribs) (Created page with "{{Caption|Kosmetyczny wierzchołek użyty do stworzenia wymiaru, który w innym przypadku byłby niemożliwy do uzyskania.}}")

Rysunek Techniczny: Wstaw wierzchołek kosmetyczny

Lokalizacja w menu
Rysunek Techniczny → Dodaj wierzchołki → Wstaw wierzchołek kosmetyczny
Środowisko pracy
Rysunek Techniczny
Domyślny skrót
brak
Wprowadzono w wersji
0.19
Zobacz także
Dodaj wierzchołek punktu środkowego, Dodaj wierzchołki kwadrantu

Opis

Narzędzie Wstaw wierzchołek kosmetyczny dodaje do widoku wierzchołek, który nie jest częścią geometrii źródłowej. Ten wierzchołek zachowuje się jak każdy inny wierzchołek i może być używany do wymiarowania.

Kosmetyczny wierzchołek użyty do stworzenia wymiaru, który w innym przypadku byłby niemożliwy do uzyskania.

Usage

  1. Select a view in the drawing.
  2. Press the Add Cosmetic Vertex button
  3. A task dialog will open. It allows to set location of the Cosmetic Vertex either by picking a point or by entering an x,y-offset from the center of the selected view.
  4. To pick a position, press the button Point Picker. Click to a position in the view and subsequently press OK to create the point. To exit the point picking without creating a Cosmetic Vertex, press the Escape picking button in the dialog.

To delete a Cosmetic Vertex, select it and use the toolbar button Remove Cosmetic Object.

Note: You cannot change the location of the Cosmetic Vertex after it has been created. At the moment there is no other way than to delete it and creating a new one.

Properties

Cosmetic Vertices have no properties of their own, as they are no document objects. They share color and size settings with regular geometry vertices.

Scripting

See also: Autogenerated API documentation and FreeCAD Scripting Basics.

Cosmetic Vertices are available to macros or the Python console.

dvp = App.ActiveDocument.View
org = App.Vector(0.0, 0.0, 0.0)
dvp.makeCosmeticVertex(org);

#lines too!
start = FreeCAD.Vector (1.0, 5.0, 0.0)
end = FreeCAD.Vector(1.0, -5.0, 0.0)
style = 2
weight = 0.75
pyGreen = (0.0, 0.0, 1.0, 0.0)
dvp.makeCosmeticLine(start,end,style, weight, pyGreen)